/*

VEHICLE RESPAWN SCRIPT WITH CREW RESTRICTIONS 

 May 2007 - norrin (norrins_nook@iprimus.com.au) 

***********************************************************************************************************************************
Version 1.0 

Based upon KaRRiLLioN's original vrs.sqf script heavily modified for use with playable and non-playable AI units and crew restrictions

IMPORTANT: ADD A GAMELOGIC NAMED Server
to the mission to prevent multispawn

to run this script place the following code in the init line of the vehicle:
v = [this, "vehicle name", x, y] execVM "vrs_AI_crew.sqf"
where x and y are the times you wish to set for the vehicle empty respawn delay and vehicle destroyed respawn delay
Note: the vehicle name must be in quotation marks eg. if vehicle name Hmm1 it must appear in the init line as "Hmm1", 
if on the otherhand you don't want to rename your vehicles just put "" instead 

**********************************************************************************************************************************
BEGIN vrs_AI_crew.sqf
*/

private ["_vcl","_respawndelay","_vclemptydelay","_dir","_pos","_type","_unit","_run","_wait","_delay"];

if (!local Server) exitWith {};

_vcl = _this select 0;
_name_vcl = _this select 1;
_vclemptydelay = _this select 2;
_respawndelay = _this select 3;
_dir = Getdir _vcl;
_pos = Getpos _vcl; 
_type = typeOf _vcl;

_run = TRUE;
sleep 5;



for [{}, {_run}, {_run}] do
{
	while {_vcl distance _pos < 5 && canMove _vcl} do
  	{
 		sleep 1;
  	};
	while {canMove _vcl && count crew _vcl > 0 && ({damage _x}forEach crew _vcl)!= 1} do  
  	{
		_wait = Time + _vclemptydelay;
		sleep 1;
	};
	while {canMove _vcl && count crew _vcl < 1 && Time < _wait} do
	{
		sleep 1;
	};
	while {canMove _vcl && {damage _x} forEach crew _vcl >= 1 && Time < _wait} do
	{
		sleep 1;
	};
	_delay = Time + _respawndelay;
	while {!canMove _vcl && Time < _delay} do
  	{
		sleep 1;
  	};
	if (count crew _vcl < 1) then
  	{
  		deleteVehicle _vcl;
        	_vcl = _type createVehicle _pos;
	  	_vcl setVehicleVarName _name_vcl;
	  	player groupchat format ["%1", VehicleVarName _vcl];
        	_vcl setdir _dir;
        	sleep 1;
        	_vcl setvelocity [0,0,0];
        	_vcl setpos _pos;
        	sleep 1;
        	_vcl setvelocity [0,0,0];
  		sleep 2;
};
	if ({damage _x} forEach crew _vcl >= 1)then
  	{
  		deleteVehicle _vcl;
        	_vcl = _type createVehicle _pos;
 	  	_vcl setVehicleVarName _name_vcl;
	  	player groupchat format ["%1", VehicleVarName _vcl];
        	_vcl setdir _dir;
        	sleep 1;
        	_vcl setvelocity [0,0,0];
        	_vcl setpos _pos;
        	sleep 1;
        	_vcl setvelocity [0,0,0];
  		sleep 1;
		call {[_vcl] execVM "vcl_lock\lock.sqf"};
	};
	sleep 2;
};